package com.aizuda.boot.modules.test.entity.dto;

import com.aizuda.boot.modules.flw.entity.dto.ProcessStartDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TestProcessStartDTO {

    @Schema(description = "测试业务ID")
    @NotNull
    private Long id;

    @Schema(description = "测试业务表单属性")
    private String test;

    @Schema(description = "流程启动对象")
    @NotNull
    private ProcessStartDTO processStart;

}
