package com.aizuda.boot.modules.test.service;

import com.aizuda.boot.modules.test.entity.dto.TestProcessStartDTO;
import com.aizuda.bpm.engine.core.FlowCreator;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.aizuda.service.service.IBaseService;
import com.aizuda.boot.modules.test.entity.TestPurchaseOrder;

/**
 * 测试采购单 服务类
 *
 * @author hubin
 * @since 2024-06-10
 */
public interface ITestPurchaseOrderService extends IBaseService<TestPurchaseOrder> {

    Page<TestPurchaseOrder> page(Page<TestPurchaseOrder> page, TestPurchaseOrder testPurchaseOrder);

    boolean launchProcess(TestProcessStartDTO dto, FlowCreator flowCreator);
}
